### Virtual Method

# Gtk CellAreaContext allocate

deprecated: 4.10

#### Declaration [src]

    void
    allocate (
      GtkCellAreaContext* context,
      int width,
      int height
    )

#### Description [src]

Allocates a width and/or a height for all rows which are to be rendered with `context`.

Usually allocation is performed only horizontally or sometimes vertically since a group of rows are usually rendered side by side vertically or horizontally and share either the same width or the same height. Sometimes they are allocated in both horizontal and vertical orientations producing a homogeneous effect of the rows. This is generally the case for `GtkTreeView` when `GtkTreeView:fixed-height-mode` is enabled.

Deprecated since: 4.10

This object will be removed in GTK 5.

#### Parameters

`width`

  Type: `int`

  The allocated width for all `GtkTreeModel` rows rendered with `context`, or -1.

`height`

  Type: `int`

  The allocated height for all `GtkTreeModel` rows rendered with `context`, or -1.